{
  inputs,
  ...
}:
{
  networking.hostName = "hyp-01";
  networking.hostId = "ae2c05d3";
  nixpkgs.hostPlatform = "x86_64-linux";

  imports = [
    inputs.disko.nixosModules.disko
    inputs.impermanence.nixosModules.impermanence
    inputs.srvos.nixosModules.server
    inputs.srvos.nixosModules.hardware-hetzner-online-intel
    inputs.srvos.nixosModules.mixins-terminfo
    inputs.srvos.nixosModules.mixins-nginx

    ./modules/boot.nix
    ./modules/disko.nix
    ./modules/fail2ban.nix
    ./modules/impermanence.nix
    ./modules/networking.nix
    ./modules/users.nix
  ];

  system.stateVersion = "25.05";
}
